This is my submission for the Eimy Flip Board Game

It's a single page application.
I chose to add a new type of tiles to  show the biggest possible created rectangle from unselected tiles
so you will find :
in LIGHT GRAY unselected tiles
in DARK GRAY selected tiles
in RED biggest possible rectangle created from selected items
in GREEN biggest free area